% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/read_nifti1.R
\name{read.nifti1.header}
\alias{read.nifti1.header}
\title{Read NIFTI v1 header from file (which may contain the FreeSurfer hack).}
\usage{
read.nifti1.header(filepath)
}
\arguments{
\item{filepath}{path to a NIFTI v1 file (single file version), which can contain the FreeSurfer hack.}
}
\value{
named list with NIFTI 1 header fields.
}
\description{
Read NIFTI v1 header from file (which may contain the FreeSurfer hack).
}
\note{
The FreeSurfer hack is a non-standard way to save long vectors (one dimension greater than 32767 entries) in NIFTI v1 files. Files with this hack are produced when converting MGH or MGZ files containing such long vectors with the FreeSurfer 'mri_convert' tool.
}
